Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LanguagePackInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LanguagePackInfo

Enclosing class:
  TdApi

public static final class TdApi.LanguagePackInfo extends TdApi.Object
Contains information about a language pack.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`baseLanguagePackId`
Identifier of a base language pack; may be empty.
`static final int`
`CONSTRUCTOR`
`String`
`id`
Unique language pack identifier.
`boolean`
`isBeta`
True, if the language pack is a beta language pack.
`boolean`
`isInstalled`
True, if the language pack is installed by the current user.
`boolean`
`isOfficial`
True, if the language pack is official.
`boolean`
`isRtl`
True, if the language pack strings are RTL.
`int`
`localStringCount`
Total number of non-deleted strings from the language pack available locally.
`String`
`name`
Language name.
`String`
`nativeName`
Name of the language in that language.
`String`
`pluralCode`
A language code to be used to apply plural forms.
`int`
`totalStringCount`
Total number of non-deleted strings from the language pack.
`int`
`translatedStringCount`
Total number of translated strings from the language pack.
`String`
`translationUrl`
Link to language translation interface; empty for custom local language packs.

## Constructor Summary

Constructors
Constructor
Description
`LanguagePackInfo()`
Contains information about a language pack.
`LanguagePackInfo(DataInput input)`
Contains information about a language pack.
`LanguagePackInfo(String id, String baseLanguagePackId, String name, String nativeName, String pluralCode, boolean isOfficial, boolean isRtl, boolean isBeta, boolean isInstalled, int totalStringCount, int translatedStringCount, int localStringCount, String translationUrl)`
Contains information about a language pack.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique language pack identifier.

### baseLanguagePackId

public String baseLanguagePackId
Identifier of a base language pack; may be empty. If a string is missed in the language pack, then it must be fetched from base language pack. Unsupported in custom language packs.

### name

public String name
Language name.

### nativeName

public String nativeName
Name of the language in that language.

### pluralCode

public String pluralCode
A language code to be used to apply plural forms. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more info.

### isOfficial

public boolean isOfficial
True, if the language pack is official.

### isRtl

public boolean isRtl
True, if the language pack strings are RTL.

### isBeta

public boolean isBeta
True, if the language pack is a beta language pack.

### isInstalled

public boolean isInstalled
True, if the language pack is installed by the current user.

### totalStringCount

public int totalStringCount
Total number of non-deleted strings from the language pack.

### translatedStringCount

public int translatedStringCount
Total number of translated strings from the language pack.

### localStringCount

public int localStringCount
Total number of non-deleted strings from the language pack available locally.

### translationUrl

public String translationUrl
Link to language translation interface; empty for custom local language packs.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### LanguagePackInfo

public LanguagePackInfo()
Contains information about a language pack.

### LanguagePackInfo

public LanguagePackInfo(String id, String baseLanguagePackId, String name, String nativeName, String pluralCode, boolean isOfficial, boolean isRtl, boolean isBeta, boolean isInstalled, int totalStringCount, int translatedStringCount, int localStringCount, String translationUrl)
Contains information about a language pack.

Parameters:
  `id` - String Unique language pack identifier.
  `baseLanguagePackId` - String Identifier of a base language pack; may be empty. If a string is missed in the language pack, then it must be fetched from base language pack. Unsupported in custom language packs.
  `name` - String Language name.
  `nativeName` - String Name of the language in that language.
  `pluralCode` - String A language code to be used to apply plural forms. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more info.
  `isOfficial` - boolean True, if the language pack is official.
  `isRtl` - boolean True, if the language pack strings are RTL.
  `isBeta` - boolean True, if the language pack is a beta language pack.
  `isInstalled` - boolean True, if the language pack is installed by the current user.
  `totalStringCount` - int Total number of non-deleted strings from the language pack.
  `translatedStringCount` - int Total number of translated strings from the language pack.
  `localStringCount` - int Total number of non-deleted strings from the language pack available locally.
  `translationUrl` - String Link to language translation interface; empty for custom local language packs.

### LanguagePackInfo

public LanguagePackInfo(DataInput input) throws IOException
Contains information about a language pack.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`